#!/bin/bash

A1CONF1=/etc/A1-serverconfig/bash/bash.bashrc
CONF1=/etc/bash.bashrc
A1CONF2=/etc/A1-serverconfig/bash/skel/.bashrc
CONF2="/etc/skel/.bashrc /root/.bashrc"

case "$1" in
	remove)
		if [ -f $CONF1.a1.sav ] ; then
			mv $CONF1.a1.sav $CONF1
		fi
		for CONF in $CONF2 ; do
			if [ -f $CONF.a1.sav ] ; then
				mv $CONF.a1.sav $CONF
			fi
		done
		;;
	install)
		if [ -f $CONF1 ] ; then
			diff -q $A1CONF1 $CONF1 && DIFF="N" || DIFF="Y"
			if [ "$DIFF" == "Y" ] ; then
				cp $CONF1 $CONF1.a1.sav
				cp $A1CONF1 $CONF1
			fi
		else
				cp $A1CONF1 $CONF1
		fi
		for CONF in $CONF2 ; do
			if [ -f $CONF ] ; then
				diff -q $A1CONF2 $CONF && DIFF="N" || DIFF="Y"
				if [ "$DIFF" == "Y" ] ; then
					cp $CONF $CONF.a1.sav
					cp $A1CONF2 $CONF
				fi
			else
					cp $A1CONF2 $CONF
			fi
		done

		;;
	*)
		echo "bash.sh called with unknown argument \`$1'" >&2
	        exit 1
	;;
esac
