#!/bin/bash

A1REMOTE=/etc/A1-serverconfig/nullmailer/remotes.uvf
A1ADMADDR=/etc/A1-serverconfig/nullmailer/adminaddr
ADMADDR=/etc/nullmailer/adminaddr
REMOTE=/etc/nullmailer/remotes

case "$1" in
	remove)
		if [ -f $REMOTE.a1.sav ] ; then
			mv $REMOTE.a1.sav $REMOTE
		fi
		cp $A1ADMADDR $ADMADDR
		;;
	install)
		if [ -f /usr/sbin/nullmailer-send ] ;  then
			if [ -f $REMOTE ] ; then
				diff -q $A1REMOTE $REMOTE && DIFF="N" || DIFF="Y"
				if [ "$DIFF" == "Y" ] ; then
					cp $REMOTE $REMOTE.a1.sav
					cp $A1REMOTE $REMOTE
				fi
			else
					cp $A1REMOTE $REMOTE
			fi
			OLDADDR=""
			if [ -f $ADMADDR ] ; then
				OLDADDR=`cat $ADMADDR`
			else
				OLDADDR=`cat $A1ADMADDR`
			fi
			if [ "x${OLDADDR}x" != "xx" ] ; then
 				APPEND=" (${OLDADDR})"
			else
				APPEND=""
			fi
			echo "An welche Adresse sollen E-Mails vom System gesendet werden${APPEND}?"
			read ADDR
			if [ -n "$ADDR" ] ; then
				echo $ADDR > $ADMADDR
			else
				echo $OLDADDR > $ADMADDR
			fi
		else
			echo "Kein Nullmailer gefunden"
		fi
		;;
	*)
		echo "nullmailer.sh called with unknown argument \`$1'" >&2
	        exit 1
	;;
esac
