#!/bin/bash

A1CONF=/etc/A1-serverconfig/vim/vimrc
CONF=/etc/vim/vimrc

case "$1" in
	remove)
		if [ -f $CONF.a1.sav ] ; then
			mv $CONF.a1.sav $CONF
		fi
		;;
	install)
		if [ -f $CONF ] ; then
			diff -q $A1CONF $CONF && DIFF="N" || DIFF="Y"
			if [ "$DIFF" == "Y" ] ; then
				cp $CONF $CONF.a1.sav
				cp $A1CONF $CONF
			fi
		else
				cp $A1CONF $CONF
		fi
		;;
	*)
		echo "vim.sh called with unknown argument \`$1'" >&2
	        exit 1
	;;
esac
