#!/bin/bash

A1CONF=/etc/A1-serverconfig/ntp/ntp.conf
CONF=/etc/ntp.conf

case "$1" in
	remove)
		if [ -f $CONF.a1.sav ] ; then
			mv $CONF.a1.sav $CONF
		fi
		;;
	install)
		echo "UVU oder UVF Konfiguration? (uvu|uvf)?"
		read L
		if [ -n "$L" ] ; then
			if [ "$L" == "uvu" -o "$L" == "uvf" ] ;  then
				LOC="$L"
			else
				LOC="uvf"
			fi
		else
			LOC="uvf"
		fi
		if [ -f $CONF ] ; then
			diff -q $A1CONF.$LOC $CONF && DIFF="N" || DIFF="Y"
			if [ "$DIFF" == "Y" ] ; then
				cp $CONF $CONF.a1.sav
				cp $A1CONF.$LOC $CONF
			fi
		else
			cp $A1CONF.$LOC $CONF
		fi
		/etc/init.d/ntp stop
		ntpdate ntp.$LOC.hu-berlin.de
		/etc/init.d/ntp start
		;;
	*)
		echo "ntp.sh called with unknown argument \`$1'" >&2
	        exit 1
	;;
esac
